RUAL Documentation

PUT /users/{guid}

Update a specific user

Update a specific user
Key Type Example Description
guid required string
"example-string"
Unique identifier (GUID)
Key Type Example Description
authorization required string
"Bearer access_token"
Access token
Key Type Example Description
email optional string
"user@example.com"
Email address
first_name optional string
"example-string"
First name
last_name optional string
"example-string"
Last name
active optional boolean
true
Whether user is active
timezone optional string
"example-string"
User timezone
language optional string
"example-string"
User language
{ "_meta": { "guid": "example-string", "entity": 42, "created": 42, "modified": 42, "updated": 42 }, "username": "example-string", "email": "user@example.com", "firstname": "example-string", "lastname": "example-string", "last_activity": 42, "timezone": "example-string", "language": "example-string" }
{ "error": "ERROR_KEY" }
Permission Description
Bearer token Access token required via Authorization header, x-authtoken, x-token, query param, or cookie
users_remove Required scope: users_remove
setting_manage_users Additional permission check: setting_manage_users

Back to Users Return to the Users category to view other endpoints All API Categories Browse all available API categories